%define _phplib %{_libdir}/php
%define _extdir %{_phplib}/extensions
%define _devver 3.x

Summary: PHP PECL memcache extension
Summary(ko): PHP PECL memcache 확장
Name: php-pecl-memcache
Version: 2.2.7
Release: 2%{?dist}
Epoch: 100
Group: Development/Languages
License: PHP
URL: https://github.com/websupport-sk/pecl-memcache/tree/php7
Source0: https://github.com/websupport-sk/pecl-memcache/archive/php7.zip#/memcache-%{version}-php7.tar.bz2
Source1: https://github.com/websupport-sk/pecl-memcache/archive/NON_BLOCKING_IO_php7.zip#/memcache-3.0.9-php7-nonblockingio.tar.bz2

BuildRoot: /var/tmp/%{name}-root
Requires: phpapi
BuildRequires: php-devel
Provides: php-memcache

%description
PHP PECL memcache APIs

%prep
%setup -q -n memcache
tar xvfpj %{SOURCE1}

%build

CFLAGS="${RPM_OPT_FLAGS}"

/usr/bin/phpize
./configure --with-libdir=lib64

%{__make} %{?_smp_mflags}

cd memcache
/usr/bin/phpize
./configure --with-libdir=lib64

%{__make} %{?_smp_mflags}
cd -

%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}

%{__install} -m755 modules/memcache.so %{buildroot}%{_extdir}/
%{__install} -m755 memcache/modules/memcache.so %{buildroot}%{_extdir}/memcache-%{_devver}.so

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d/{apache,cli,fpm}
for i in apache cli fpm
do
	%{__cat} > %{buildroot}%{_sysconfdir}/php.d/$i/memcache.ini <<EOF
;
; Memcache extension
;
; Warning!
; Never enable both memcache.so and memcache-%{_devver}.so
;
extension = memcache.so
;extension = memcache-%{_devver}.so
EOF
done

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/memcache.so
%attr(755,root,root) %{_extdir}/memcache-%{_devver}.so
%config(noreplace) %{_sysconfdir}/php.d/apache/memcache.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/memcache.ini
%config(noreplace) %{_sysconfdir}/php.d/fpm/memcache.ini

%changelog
* Fri Aug  5 2016 JoungKyun.Kim <http://oops.org> 100:2.2.7-2%{?dist}
- fixed #5 Fixed invalid int -> size_t in params
- fixed #6 Update to clean up compilation warnings
- add 3.0.9-dev tree (memcache-3x.so)

* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 100:2.2.7-1%{?dist}
- update 2.2.7 memcache extension

